; SkywarnPlus Configuration File
; by Mason Nelson (N5LSN/WRKF394)
; Please update this file according to your setup and preferences
[SKYWARNPLUS]
; Completely enable/disable SkywarnPlus
Enable = True

; Asterisk Settings
[Asterisk]
; Comma separated list of node numbers to broadcast alerts on
; Example: Nodes = 1998, 1999
Nodes = 

; Alerting settings
[Alerting]
; List of county codes to pull data for.
; FIND YOUR COUNTY CODE(S) at https://alerts.weather.gov/
; DO NOT USE ZONE CODES OR YOU WILL MISS ALERTS
; See README.md for more information
; Example: CountyCodes = ARC121,ARC021,ARC139,ARC027
CountyCodes = 

; Enable instant alerting when weather alerts change
; Either True or False
SayAlert = True

; Enable instant alerting when weather alerts are cleared
; Either True or False
SayAllClear = True

; Optional alternate path to the directory where sound files are stored
; Default is SkywarnPlus/SOUNDS
; Example: SoundsPath = /home/repeater/
;SoundsPath = 

; Blocking settings
[Blocking]
; GLOBAL BLOCKING - These alerts will be completely ignored and filtered out of the entire SkywarnPlus workflow
; CASE SENSITIVE list of events to ignore, comma separated. Wildcards can be used, e.g. *Statement, *Advisory
GlobalBlockedEvents =

; SayAlert Blocking
; These alerts will be blocked from being spoken when they are received
; These alerts will still be added to the tailmessage
SayAlertBlockedEvents =

; Tailmessage Blocking
; These alerts will be blocked from being added to the tailmessage
; These alerts will still be spoken when they are received
TailmessageBlockedEvents =

; Tail message settings
[Tailmessage]
; REQUIRES SETUP IN RPT.CONF FIRST
; REFER TO README.MD FOR MORE INFO
; Enable building of tail message
; Either True or False
Enable = False

; Optional alternate path & filename where tail message should be saved
; Default is SkywarnPlus/SOUNDS/wx-tail.wav
; Example: TailmessagePath = /home/repeater/wx-tail.wav
;TailmessagePath = 

; Courtesy tone settings
[CourtesyTones]
; REQUIRES SETUP IN RPT.CONF FIRST
; REFER TO README.MD FOR MORE INFO
; Enable Automatic Courtesy Tone changing
; Either True or False
Enable = False

; Optional alternate directory where tone files are located
; Default is SkywarnPlus/SOUNDS/TONES
; Example: ToneDir = /home/repeater/TONES
;ToneDir = 

; Sound file to use for normal local courtesy tone
; Example: LocalCT = BOOP.ulaw
LocalCT = BOOP.ulaw

; Sound file to use for normal link courtesy tone
; Example: LinkCT = BEEP.ulaw
LinkCT = BEEP.ulaw

; Sound file to use for weather courtesy tone (local and link)
; Example: WXCT = WX-CT.ulaw
WXCT = WX-CT.ulaw

; Sound file rpt.conf is looking for as local courtesy tone
; Example: RptLocalCT = CT-LOCAL.ulaw
RptLocalCT = CT-LOCAL.ulaw

; Sound file rpt.conf is looking for as link courtesy tone
; Example: RptLinkCT = CT-LINK.ulaw
RptLinkCT = CT-LINK.ulaw

; CASE SENSITIVE, comma & newline separated list of alerts that trigger the WX courtesy tone
CTAlerts = Hurricane Force Wind Warning,
           Severe Thunderstorm Warning,
           Tropical Storm Warning,
           Winter Storm Warning,
           Thunderstorm Warning,
           Extreme Wind Warning,
           Storm Surge Warning,
           Ice Storm Warning,
           Hurricane Warning,
           Blizzard Warning,
           Tornado Warning,
           Tornado Watch

; Pushover settings
; Pushover is a free notification service that SkywarnPlus can use to send alerts
; to your phone or other devices. Visit https://pushover.net/ to sign up for free
[Pushover]
; Enable Pushover integration
; Either True or False
Enable = False

; Your Pushover User Key
UserKey = 

; Your Pushover API Token
APIToken = 

; Enable more verbose Pushover messaging
; Either True or False
Debug = False

; Logging Options
[Logging]
; Enable more verbose logging
; Either True or False
Debug = False

; Optional alternate log file path
; Default is /tmp/Skywarnplus/SkywarnPlus.log
; Example: LogPath = /path/to/log/file
;LogPath = 

; Developer options
[DEV]
; Delete cached data on startup
; Either True or False
CLEANSLATE = False

; Optional alternate TMP directory
; Default is /tmp/SkywarnPlus
; Example: TmpDir = /home/repeater/tmp/SkywarnPlus
;TmpDir = /tmp/SkywarnPlus

; Enable to inject the below list of test alerts instead of calling the NWS API
INJECT = False

; CASE SENSITIVE, comma & newline separated list of alerts to inject
INJECTALERTS = Tornado Warning,
               Tornado Watch,
               Severe Thunderstorm Warning
